# SIM Automated Installation Script
SIM Automated Installation Script includes all the documentation, 
the requirements, the assets  and the setup scripts that are required 
to setup a SIM ready for use.

The process described bellow should be done as root user of the system.

## Software installation & setup
The host VM an Ubuntu 20.04 64-bit (x86) version or an RHEL v8 distro.
We must have root access for setting things up properly.

SIM uses the following ports for external communication. So, if the host 
provider has any firewall configured outside the VM the following (default) 
ports have to be whitelisted for TCP & UDP access:
```
:80
:22
:443
:6001
:6002
:7000-10000
:12000-13000
:15000-16000
:23456
```
Ports `6001` and `6002` are required only when using VM to serve recipes and templates through these ports.
Port `23456` is used by the SAUS service and cen be excluded if the service is not required.

### REquired packages
The packages that will be installed if not present on the host OS are:
* Web server (apache2 for Ubuntu or httpd for RHEL)
* MySQL server
* wget
* certbot 

### New User
A new user will be added to the host VM with default username `sim-user` and will be added to the sudoers.

## Installation Process
SIM installation process has to be done as root user of host VM.

Place the provided `sais-[DATE]-[VERSION].tar.gz` file under the `/root` folder of 
the SIM. Decompress it using:
```
tar xvf sais-[DATE]-[VERSION].tar.gz
```

Then in the `/root/sais` folder, add execute permissions for setup.sh:
with:
```
chmod +x setup.sh
```

execute the setup.sh script by:
```
./setup.sh
```
In case a message 
`Command may disrupt existing ssh connections. Proceed with operation` 
appears, select pres (y) and Enter.

Setup is consisted from steps. Each step prints out its status and if 
something goes wrong it will stop and report the command that failed.
Process might be interrupted and require user interaction to select any of the available options.

Visit you VM's public url and you will be prompted for SIM's username and 
password. Provide username `sunlight` and for AWS instances password is the instance's ID
(e.g. i-01bd2ac36c29963db) otherwise password will be `sunlight`. Then proceed with updating 
your password. 

> In case that SIM will be used as recipes and template server, further configuration will be required. Steps will be
> prompted after the successful execution of the setup script.

All things are now properly set up.

## Cleanup
In case of any error during the setup script things have to be cleaned up before re-executing the setup script.
In order to clean things up (configuration, binaries, installed packages etc) 
the script `cleanup.sh` should be executed by:
```
chmod +x cleanup.sh
./cleanup.sh
```

This will clean the added files and configuration in order to be able to run the setup again.

The cleanup script can also uninstall the mysql server and the web server if a clean installation of SIM is required.
In order to remove the required packages the cleanup script should be run by:
```
./cleanup.sh -r
```
