#!/usr/bin/python3

from subprocess import Popen, PIPE
from time import sleep
import json


def execute_local(command):
    print("Executing: " + command)
    p = Popen(command, stdout=PIPE, stderr=PIPE, shell=True)
    out, err = p.communicate()
    rc = p.returncode

    print("OUT: " + str(out))
    print("ERR: " + str(err))
    return out, err, rc


if __name__ == '__main__':
    while True:
        data = open("./manager_conf.json").read()
        manager_config = json.loads(data)
        for node1 in manager_config['nodes']:
            for node2 in manager_config['nodes']:
                for i in range(len(node1['nvmacs'])):
                    nvmac1 = node1['nvmacs'][i]
                    nvmac2 = node2['nvmacs'][i]
                    cmd = "./mvctl --eoip --mvmac " + nvmac1.replace(":", "") + " --add-nv -m " + manager_config['manager_mac'] + " -i " + manager_config['manager_mac'].replace(":", "")[4:12]
                    out, err, rc = execute_local(cmd)
                    if node1['nvid'] == node2['nvid']:
                        continue
                    cmd = "./mvctl --eoip --mvmac " + nvmac1.replace(":", "") + " --add-nv -m " + nvmac2 + " -i " + node2['nvid']
                    out, err, rc = execute_local(cmd)
        sleep(10)
