#!/bin/bash
# Run this script using
# ./remove_secure_domain.sh domain

# requirements: apache, certbot, /etc/apache2/sites-available/sim2.conf
# a configured domain name
exec >> ./secure_domain.log 2>&1
echo "===================================================================================================="

domain=$1
if [ -z "$domain" ]
    then
        timestamp=$( date +%T )
        echo "$timestamp - First argument - domain not supplied"
        exit 1
fi

timestamp=$( date +%T )
echo "$timestamp - remove_secure_domain has started for domain $domain"

tmp=$(grep -i ubuntu /etc/os-release)
if [ $? -eq 0 ]; then
   web_server="apache2"
else
   web_server="httpd"
fi

# exit when any command fails
set -e

#disable domain confs
sudo rm /etc/$web_server/sites-enabled/$domain.conf
echo "disable $domain.conf response: " $?
sudo rm /etc/$web_server/sites-available/$domain.conf
sudo rm /etc/$web_server/sites-enabled/$domain-le-ssl.conf
echo "disable $domain-le-ssl.conf response: " $?
sudo rm /etc/$web_server/sites-available/$domain-le-ssl.conf

#enable sim2.conf
sudo ln -s /etc/$web_server/sites-available/sim2.conf /etc/$web_server/sites-enabled/sim2.conf

echo "enable sim2.conf response status: " $?

sudo service $web_server reload

echo "remove_secure_domain has finished"
