#!/bin/bash

# Run this script using
# ./revoke_expose_cluster.sh cluster_port expose_port

exec >> ./expose_cluster.log 2>&1
echo "===================================================================================================="

cluster_port=$1
expose_port=$2
expose_secure_port=$3

if [ -z "$cluster_port" ]
    then
        timestamp=$( date +%T )
        echo "$timestamp - First argument - cluster port not supplied"
        exit 1
fi

if [ -z "$expose_port" ]
    then
        timestamp=$( date +%T )
        echo "$timestamp - Second argument - expose port not supplied"
        exit 1
fi


if [ -z "$expose_secure_port" ]
    then
        timestamp=$( date +%T )
        echo "$timestamp - Third argument - expose secure port not supplied"
        exit 1
fi

timestamp=$( date +%T )
echo "$timestamp - Starting to revoke expose cluster from port $cluster_port"

tmp=$(grep -i ubuntu /etc/os-release)
if [ $? -eq 0 ]; then
   web_server="apache2"
else
   web_server="httpd"
fi

conf_file="cluster-$cluster_port-ssl.conf"

sudo rm /etc/$web_server/sites-enabled/$conf_file
timestamp=$( date +%T )
echo "$timestamp - Disabled $conf_file"

sudo rm /etc/$web_server/sites-available/$conf_file
timestamp=$( date +%T )
echo "$timestamp - Removed conf file at /etc/$web_server/sites-available/$conf_file"

conf_file="cluster-$cluster_port.conf"

sudo rm /etc/$web_server/sites-enabled/$conf_file
timestamp=$( date +%T )
echo "$timestamp - Disabled $conf_file"

sudo rm /etc/$web_server/sites-available/$conf_file
timestamp=$( date +%T )
echo "$timestamp - Removed conf file at /etc/$web_server/sites-available/$conf_file"

if [ "$web_server" = "httpd" ]; then
  sed -i "s/Listen $expose_port//g" /etc/httpd/conf/httpd.conf
  sed -i "s/Listen $expose_secure_port//g" /etc/httpd/conf/httpd.conf
fi

sudo service $web_server reload
timestamp=$( date +%T )
echo "$timestamp - $web_server reloaded"

timestamp=$( date +%T )
echo "$timestamp - Finished to revoke expose of cluster from port $cluster_port using $conf_file"
